#%global debug_package %{nil}

Name:    p7zip
Version: 16.02
Release: 5
Summary: 7z for Linux system
License: GPLv2
URL:	 https://sourceforge.net/projects/p7zip/
Source0: https://sourceforge.net/projects/p7zip/files/p7zip/%{version}/%{name}_%{version}_src_all.tar.bz2
Patch0:  CVE-2017-17969.patch
Patch1:  CVE-2016-9296.patch
Patch2:  CVE-2018-5996.patch
Patch3:  CVE-2018-10115.patch
Patch4:  fix-build-failed-with-gcc-10.patch
Patch5:  0001-add-PIE-compiler-options.patch

BuildRequires: 	gcc gcc-c++

%description
7za for Linux system to archive file as 7z file format

%prep
%autosetup -n %{name}_%{version} -p1

%build
%make_build

%install
#
# do not install 7z which may include unrar license
#
install -d %{buildroot}/%{_bindir}/
install -d %{buildroot}/%{_mandir}/man1
install -m 0755 bin/7za %{buildroot}/%{_bindir}/
install -m 0644 man1/7za.1 %{buildroot}/%{_mandir}/man1

%pre
%preun
%post
%postun

%check

%files
%license DOC/License.txt
%doc README 
%{_bindir}/*
%{_mandir}/*

%changelog
* Tue Jun 06 2023 chenchen <chen_aka_jan@163.com> - 16.02-5
- add PIE compiler options

* Fri 30 Jul 2021 sunguoshuai <sunguoshuai@huawei.com> - 16.02-4
- fix build failed with gcc 10

* Sat Jul 10 2021 wangyue <wangyue92@huawei.com> - 16.02-3
- Add gcc-c++ to build dependency

* Tue Jun 08 2021 wangyue <wangyue92@huawei.com> - 16.02-2
- Fix CVE-2016-9296 CVE-2017-17969 CVE-2018-10115 CVE-2018-5996

* Tue Jan 26 2021 Wei Xiong <myeuler@163.com>
- Package init

